<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/customer_navigation"
    app:startDestination="@+id/nav_customer_home">

    <fragment
        android:id="@+id/nav_customer_home"
        android:name="com.dger.cloudedi.ui.customer.home.CustomerHomeFragment"
        android:label="@string/menu_home"
        tools:layout="@layout/customer_fragment_home" >
        <action
            android:id="@+id/action_nav_customer_home_to_nav_customer_order_list"
            app:destination="@id/nav_customer_order_list" />
    </fragment>

    <fragment
        android:id="@+id/nav_customer_order_list"
        android:name="com.dger.cloudedi.ui.customer.validateorder.ValidateOrderListFragment"
        android:label="@string/order_list"
        tools:layout="@layout/customer_fragment_order_list" >
        <action
            android:id="@+id/action_nav_customer_order_list_to_nav_customer_order"
            app:destination="@id/nav_customer_order"
            app:popUpTo="@+id/nav_customer_order_list" />
    </fragment>

    <fragment
        android:id="@+id/nav_customer_order"
        android:name="com.dger.cloudedi.ui.customer.validateorder.ValidateOrderView"
        android:label="@string/order"
        tools:layout="@layout/seller_fragment_order" />

    <fragment
        android:id="@+id/nav_purchase_order_function"
        android:name="com.dger.cloudedi.ui.customer.purchordfunc.PurchaseOrderFunctionFragment"
        android:label="@string/menu_purchase_order_function"
        tools:layout="@layout/customer_fragment_purchase_order_function" >
        <action
            android:id="@+id/action_nav_purchase_order_function_to_nav_purchase_order_entity"
            app:destination="@id/nav_purchase_order_entity" />
    </fragment>

    <fragment
        android:id="@+id/nav_purchase_order_entity"
        android:name="com.dger.cloudedi.ui.customer.orderentity.PurchaseOrderEntityFragment"
        android:label="@string/purchase_order_entity"
        tools:layout="@layout/customer_fragment_purchase_order_function" >
        <action
            android:id="@+id/action_nav_purchase_order_entity_to_nav_purchase_order_entity_edit"
            app:destination="@id/nav_purchase_order_entity_edit" />
    </fragment>

    <fragment
        android:id="@+id/nav_purchase_order_entity_edit"
        android:name="com.dger.cloudedi.ui.customer.orderentityedit.PurchaseOrderEntityEditFragment"
        android:label="@string/purchase_order_entity_edit"
        tools:layout="@layout/customer_fragment_add_order_entity" >
        <action
            android:id="@+id/action_nav_purchase_order_entity_edit_to_nav_purchase_order_entity_add_position"
            app:destination="@id/nav_purchase_order_entity_add_position"
            app:popUpTo="@+id/nav_purchase_order_entity_edit" />
        <action
            android:id="@+id/action_nav_purchase_order_entity_edit_to_nav_purchase_order_entity_edit_position"
            app:destination="@id/nav_purchase_order_entity_edit_position"
            app:popUpTo="@+id/nav_purchase_order_entity_edit" />
    </fragment>
    <fragment
        android:id="@+id/nav_purchase_order_entity_add_position"
        android:name="com.dger.cloudedi.ui.customer.addorderposition.AddOrderPositionFragment"
        android:label="@string/purchase_order_entity_add_position"
        tools:layout="@layout/customer_fragment_add_order_position" >
        <action
            android:id="@+id/action_nav_purchase_order_entity_add_position_to_nav_scanner"
            app:destination="@id/nav_scanner"
            app:popUpTo="@+id/nav_purchase_order_entity_add_position" />
    </fragment>

    <fragment
        android:id="@+id/nav_scanner"
        android:name="com.dger.cloudedi.ui.customer.barcodescanner.ScannerFragment"
        android:label="@string/order"
        tools:layout="@layout/fragment_scan" />

    <fragment
        android:id="@+id/nav_purchase_order_entity_edit_position"
        android:name="com.dger.cloudedi.ui.customer.edditposition.EditOrderPosition"
        android:label="@string/purchase_order_entity_edit"
        tools:layout="@layout/customer_fragmet_order_position_layout" />



    <fragment
        android:id="@+id/nav_profile"
        android:name="com.dger.cloudedi.ui.logout.LogoutFragment"
        android:label="@string/menu_profile"
        tools:layout="@layout/profile_fragment" />

</navigation>